3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $d = ['5.7.0', '5.7.0.3', '5.6', '5.6.1']; foreach ($d as $v) { var_dump(version_compare($v, '5.7.0', '<')); }
Output for 5.4.0 - 7.1.0
bool(false) bool(false) bool(true) bool(true)
Output for 4.4.2 - 4.4.9, 5.1.0 - 5.3.29
Parse error: syntax error, unexpected '[' in /in/JfHdj on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1, 5.0.0 - 5.0.5
Parse error: parse error, unexpected '[' in /in/JfHdj on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/JfHdj on line 3
Process exited with code 255.